Bug 1303402 - [DOCS] [3.2] Document the Jenkins Image as a S2I Builder
[DOCS] [3.2] Document the Jenkins Image as a S2I Builder
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Thien-Thi Nguyen
XiuJuan Wang
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 08:19 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 12:32:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xiuwang: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-01-31 08:19:23 EST
In OSE 3.2, Jenkins image is S2I compatible. The user can create custom Jenkins images tailored to their use cases. Jenkins configuration and plugins can be injected via an S2I build step.

Dev for this feature is:
Michal Fojtik

Trello card is:
https://trello.com/c/Y5dfJBUH/405-8-make-jenkins-s2i-compatible

QA for this feature is:
Xiujuan Wang

Likely Guide:
Using Images in the S2I section:
https://docs.openshift.com/enterprise/3.1/using_images/s2i_images/index.html

Upstream docs in the form of a PR (currently):
https://github.com/openshift/openshift-docs/pull/1316
Comment 1 Thien-Thi Nguyen 2016-03-09 15:48:50 EST
PR merged 2016-03-03, with ‘to_followup’ label.  Plan for this BZ:

- Improve style to normal docs standards.
- Translate JSON block to YAML.
Comment 2 Thien-Thi Nguyen 2016-03-10 14:21:42 EST
PR: https://github.com/openshift/openshift-docs/pull/1725
Comment 3 openshift-github-bot 2016-03-11 08:33:28 EST
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/2dc1152a5b30df49d776fa19ce0a12c7643ae12b
Merge pull request #1725 from tnguyen-rh/bz1303402

Bug 1303402, Update style of "Using Jenkins as a Source-To-Image builder"; s/JSON/YAML/
Comment 5 Thien-Thi Nguyen 2016-03-11 16:59:16 EST
This was mistakenly moved to RELEASE_PENDING w/o going through ON_QA.
Moving to ON_QA.

XiuJuan, how do the docs (after PR 1725) look to you?
Comment 6 XiuJuan Wang 2016-03-13 22:42:10 EDT
@Thien-Thi, 
Add two insignificant comments in your PR, could you have a look?
Others look good to me.
Comment 7 Thien-Thi Nguyen 2016-03-14 06:10:41 EDT
(In reply to XiuJuan Wang from comment #6)

XiuJuan, thanks for the quick response.

> Add two insignificant comments in your PR, could you have a look?

This is a good catch:

 https://github.com/openshift/openshift-docs/commit/2dc1152a5b30df49d776fa19ce0a12c7643ae12b#commitcomment-16671421

Here is the PR that fixes it:

 https://github.com/openshift/openshift-docs/pull/1735

For the record, in asciidoc the correct syntax for such constructs is basically two square-brace pairs surrounding a valid "local anchor" identifier.  In this case the error was actually at the end of the line, where was only one closing-square-brace.  (See PR 1735.)

I believe the other comment (regarding the xref) is a legitimate misunderstanding.  In comment #3, i posted links to the commit and the PR, and not to a properly-rendered preview of the doc set, where the xref does resolve correctly.

> Others look good to me.

Cool.  Moving status to RELEASE_PENDING.

Note You need to log in before you can comment on or make changes to this bug.